Create Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples
List of examples
  • Create a plugin connection
  • Athena connection creation.
  • BigQuery connection creation.
  • Clickhouse connection creation.
  • Databricks connection creation.
  • ElasticSearch connection creation.
  • MariaDB connection creation.
  • MongoDB connection creation.
  • MySQL connection creation.
  • Oracle connection creation.
  • PostgreSQL connection creation.
  • Presto connection creation.
  • Redshift connection creation.
  • SAP Hana connection creation.
  • Snowflake connection creation with key-pair authentication.
  • Snowflake connection creation with username-password authentication.
  • SQL Server connection creation.
  • Azure Synapse connection creation.
  • Trino connection creation.
Description

This will create a connection to a plugin which requires no authentication properties.

Install
dotnet add package LuzmoSDK --version 1.0.3
Example Response
200
400
500
{
  "properties": {},
  "date": "2024-01-13T13:42:05.736Z",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "provider": "demodataplugin",
  "name": "Demo data connection",
  "description": {
    "en": "test for demo data connection"
  },
  "id": "35ce5450-a4e8-446b-8ab3-3845a0d07022",
  "user_id": "690b7bd5-2c92-4432-ba47-35d785df1bi4",
  "updated_at": "2024-01-13T13:42:05.757Z",
  "created_at": "2024-01-13T13:42:05.738Z",
  "identifier": null,
  "expiry": null,
  "scope": null,
  "host": null,
  "port": null,
  "version": null,
  "plugin_id": "1a79f0a4-b07e-45e5-aef6-1bcd4a12cb7a",
  "shareable_id": "662e71d8-739b-248b-8519-960693816648"
}